/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * CustomerReferenceLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface CustomerReferenceLocal extends EJBLocalObject
{
    public String getName()
        throws EJBException;

    public String getStreet1()
        throws EJBException;

    public String getStreet2()
        throws EJBException;

    public String getCity()
        throws EJBException;

    public String getState()
        throws EJBException;

    public String getZip()
        throws EJBException;

    public String getCountry()
        throws EJBException;

    public Collection getPurchaseOrders()
        throws EJBException;
}
